
import pygame
from os.path import expanduser
from os import mkdir

pl1car = "images/cars/bentley/bentleysmall.png"
pl1stin = "images/cars/bentley/bentleystin.png"
controls1 = {
    "up":pygame.K_UP,
    "down":pygame.K_DOWN,
    "left":pygame.K_LEFT,
    "right":pygame.K_RIGHT,
    "brake":pygame.K_RSHIFT
}
pl2car = "images/cars/auditt/audittsmall.png"
pl2stin = "images/cars/auditt/audittstin.png"
controls2 = {
    "up":pygame.K_w,
    "down":pygame.K_s,
    "left":pygame.K_a,
    "right":pygame.K_d,
    "brake":pygame.K_LSHIFT
}

map1 = "images/maps/course/course1.png"
map2 = "images/maps/course/course2.jpg"
map3 = "images/maps/course/course3.png"

p1x = 1428
p1y = 273
p2x = 1308
p2y = 355

zavkonec = 1

time = 0
konec = 0

players = 1

configFile = "options"
rozmer = 1
xx = [1280, 1024, 800, 640]
yy = [1024, 768, 600, 480]
zvuky = 1
full = 0
name = 'Opi'
multikola = 3

def readConfig():
    try:
        source = file(expanduser("~/.wrw/") + configFile).read()
    except:
        source = file(configFile).read()
    exec source in locals(), globals()

def writeConfig():
    text = """rozmer = %d
zvuky = %d
full = %d
name = %r
multikola = %d
""" % (rozmer, zvuky, full, name, multikola)
    try:
        mkdir(expanduser("~/.wrw"), 0700)
    except OSError:
        pass
    output = file(expanduser("~/.wrw/") + configFile, "w")
    output.write(text)
    output.close()

readConfig()
