#!/usr/bin/env python

def start():

    import sys
    import pygame
    import random
    import glob
    import config
    import auto
    import odpocet

    pygame.init()
    
    pisen = glob.glob("music/*.s3m")
    pisen.sort()
    random.shuffle(pisen)
    pygame.mixer.music.load(pisen[0])

    if config.music == 1:
        pygame.mixer.music.play(-1)

    hodiny = pygame.time.Clock()
    keys = pygame.key.get_pressed()

    prekazky = pygame.image.load(config.map1)

    x = min(config.xx[config.rozmer], prekazky.get_width())
    y = min(config.yy[config.rozmer], prekazky.get_height())

    if config.full == 0:
        screen = pygame.display.set_mode((x, y))
    elif config.full == 1:
        screen = pygame.display.set_mode((x, y), pygame.FULLSCREEN)

    pozadi = pygame.image.load(config.map2).convert()
    nahore = pygame.image.load(config.map3).convert_alpha()

        
    colorkey = nahore.get_at((0,0))
    nahore.set_colorkey(colorkey, pygame.RLEACCEL)


    if config.players == 1:
        auto1 = auto.Auto(config.pl1car, config.pl1stin, config.controls1)
        seznam = [auto1]
    elif config.players == 2:
        auto1 = auto.Auto(config.pl1car, config.pl1stin, config.controls2)
        auto2 = auto.Auto(config.pl2car, config.pl2stin, config.controls1)
        seznam = [auto1, auto2]

    i = 0
    pruh = screen.get_width() // len(seznam)
    while i < len(seznam):
        seznam[i].screen = screen.subsurface((i * pruh, 0,pruh, screen.get_height()))
        i += 1

    random.shuffle(seznam)
    seznam[0].polohax = config.p1x
    seznam[0].polohay = config.p1y

    if config.players == 2:
        seznam[1].polohax = config.p2x
        seznam[1].polohay = config.p2y

    starter = odpocet.Starter()
    while config.zavkonec == 1:
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                sys.exit()
            elif event.type == pygame.KEYDOWN or event.type == pygame.KEYUP:
                keys = pygame.key.get_pressed()
                if keys[pygame.K_ESCAPE]:
                   config.zavkonec = 0
                   # sys.exit()
        hodiny.tick(20)
        ticks = pygame.time.get_ticks()
        
        for auto in seznam:
            auto.draw(pozadi)
            for souper in seznam:
                auto.drawSoupere(souper, pozadi)
            auto.drawNahore(nahore)
            # print "delay auto.drawNahore", pygame.time.get_ticks() - ticks
            auto.winnerDance()

        if config.konec == 0:
            if starter.odpocitej(screen):
                for auto in seznam:
                    auto.drive(keys)

        for auto in seznam:
            auto.fyzika()

        # reseni narazu aut
        for i in range(len(seznam) - 1):
            for j in range(i + 1, len(seznam)):
                seznam[i].bum(seznam[j])

        for auto in seznam:
            auto.move(prekazky)

        pygame.display.flip()

